Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi,

HTTPS protocol is selected in Administration / Settings area but ATOM generated feeds (Activity, Issues) contain HTTP URL instead

of the HTTPS one.

See below an example:

  ...

  <generator uri="http://www.redmine.org/">

Redmine  </generator>

  <entry>

    <title>Revision 1519: imports Maven POM definition for Web Application projects. </title>

    <link href="http://domain.tld/projects/ts/repository/revisions/1519" rel="alternate"/>

    <id>http://domain.tld/projects/ts/repository/revisions/1519</id>

  ...

 Cheers,

Alexandre

History

#1 - 2010-11-13 10:03 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Invalid

The setting is only for links sent per mail, the atom links are generated with the same protocol you are accessing redmine on.

#2 - 2010-11-16 05:25 - Anonymous

I get access through a reverse proxy.

Client --- HTTPS ---> Reverse Proxy --- HTTP ---> Redmine (Apache + Mod Passenger)

How do I make Redmine aware that the original request is initiated over SSL?

#3 - 2010-11-16 05:25 - Anonymous

- Status changed from Closed to Reopened

#4 - 2010-11-16 11:07 - Felix Schäfer

- Status changed from Reopened to Closed

See FAQ.

#5 - 2010-11-16 14:41 - Anonymous

Thank you.
https://www.redmine.org/projects/redmine/wiki/FAQ#Why-does-Redmine-use-http-links-when-I-want-it-to-use-https-links-in-Apache-SSL
